%global modulename concat-stream

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-concat-stream
Version:        1.6.2
Release:        1%{?dist}
Summary:        writable stream that concatenates strings or binary data and calls a callback with the result

License:        MIT
URL:            https://github.com/maxogden/concat-stream#readme
Source0:        https://registry.npmjs.org/concat-stream/-/concat-stream-1.6.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(buffer-from) >= 1.0.0 with npmlib(buffer-from) < 2.0.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.3 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.2.2 with npmlib(readable-stream) < 3.0.0))
BuildRequires:  ((npmlib(typedarray) >= 0.0.6 with npmlib(typedarray) < 0.0.7))

Requires:       npmlib(%{modulename}) = %{version}

%description
writable stream that concatenates strings or binary data and calls a callback with the result

%package 1.6.2
Summary:        writable stream that concatenates strings or binary data and calls a callback with the result


%description 1.6.2
writable stream that concatenates strings or binary data and calls a callback with the result

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.6.2
%doc readme.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.6.2-1
- Package automatically generated by npm2srpm
